Skip to navigation

Retrieve fraud risks

Returns the probability of fraud and the associated risk types for a specific IP address, device ID or user agent.

If you don’t send an IP address, device ID or user agent, the API returns your quota metadata instead. See the Metadata schema.

Authentication

x-api-keystring

Authentication and authorization are achieved by supplying your Pixalate provided API key in the request’s header. An API key may be obtained by signing up for an account on the Pixalate developer website.

Query parameters

ipstringOptional
The IP address to look up. Accepts IPv4 and IPv6 addresses.
deviceIdstringOptional

The hardware identifier of the mobile or CTV device to look up. See the DeviceId schema for accepted ID types.

userAgentstringOptional

The user agent string sent by the browser or device. URL-encode the value.

prettybooleanOptionalDefaults to false
Returns pretty JSON if true. Default is false.

Response

OK
FraudInfoobject
The result of a lookup for an IP address, device ID or user agent.
OR
Metadataobject
Your account's quota status. Returned when you don't send an IP address, device ID or user agent.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
5XX
Server Error